SDL_SetSurfacePalette(3)

NAME
SDL_SetSurfacePalette - Set the palette used by a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetSurfacePalette(SDL_Surface *surface, SDL_Palette *palette);

DESCRIPTION
A single palette can be shared with many surfaces.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to update

palette
    the SDL_Palette
     structure to use

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.